# Feel free to remove those if you don't want/need to use them.
# Make sure to check the documentation at https://nfpm.goreleaser.com
#
# The lines below are called `modelines`. See `:help modeline`

name: "nto_starterkit"
arch: ${GOARCH}
platform: "linux"
version: "0.1.0"
section: "default"
priority: "extra"
maintainer: ${GIT_COMMITTER_NAME} <${GIT_COMMITTER_EMAIL}>
description: "My Product Description"
vendor: "My Company"
homepage: "https://wails.io"
license: "MIT"
release: "1"

contents:
  - src: "./bin/nto_starterkit"
    dst: "/usr/local/bin/nto_starterkit"
  - src: "./build/appicon.png"
    dst: "/usr/share/icons/hicolor/128x128/apps/nto_starterkit.png"
  - src: "./build/nto_starterkit.desktop"
    dst: "/usr/share/applications/nto_starterkit.desktop"

depends:
  - gtk3
  - libwebkit2gtk

# replaces:
#   - foobar
# provides:
#   - bar
# depends:
#   - gtk3
#   - libwebkit2gtk
# recommends:
#   - whatever
# suggests:
#   - something-else
# conflicts:
#   - not-foo
#   - not-bar
# changelog: "changelog.yaml"
# scripts:
#   preinstall: ./build/nfpm/scripts/preinstall.sh
#   postinstall: ./build/nfpm/scripts/postinstall.sh
#   preremove: ./build/nfpm/scripts/preremove.sh
#   postremove: ./build/nfpm/scripts/postremove.sh
